import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/business/fillAttendance/pageList", formData);
}

function clockPageList(formData){
  return request.post(constant.serverUrl + "/business/fillAttendance/clockPageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/business/fillAttendance/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/business/fillAttendance/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/business/fillAttendance/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/business/fillAttendance/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/business/fillAttendance/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/business/fillAttendance/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,clockPageList
}